/*
  TurboC, a library for porting Borland Turbo C to GNU gcc.
  Copyright 2002 Ronald S. Burkey
 
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
  Contact Ron Burkey at info@sandroid.org.

  Filename:	Console-8.h
  Purpose:	A bitmapped 6x8 font for BGI.
  Mod history:	06/08/02 RSB	Created.
  
  Q: Where did this font come from?  
  
  A: Among the Linux system fonts (at least, in RedHat 'x86 7.3
     and SuSE PPC 7.3), there is a font identifying itself as
     	-misc-console-medium-r-normal--8-8-72-72-c-80-iso10646-1
     This is a 7x8 fixed-width Unicode font.  I have recoded this
     to an MS-DOS character mapping using the pfaedit font editor
     (http://pfaedit.sourceforge.net) along with a custom-coding
     file I created called msdos.map, and have saved it as a BDF file,
     Console-8.bdf.  The BDF file was transformed to the format
     seen within the present file by exporting it as a "hex" file
     with the xmbdfed editor (http://crl.nmsu.edu/~mleisher/xmbdfed.html).
     The hex file is subsequently processed by a little program I
     threw together called hex2h.c.  (Yes, I'm sure SED or some other
     freely available program would have worked too, but it would
     have taken me longer to learn than to write hex2h.c.)
     
  Q: What leads me to believe that this font may be freely distributed?
     
  A: Nothing, other than that it is included with Linux.  The font
     file itself has no embedded copyright within it, making it 
     difficult to confirm or deny its status.
     
  Format of the data:  Each record is the bit-data for a single
  character.  The records consist of 8 bytes.  The first byte is
  the top row of the character.  The bits within the bytes
  represent pixels, and the most-significant bit is the leftmost pixel.  	   	   
*/

const char TcConsole8Font[256][8] = {
  { 0x7C, 0xC6, 0xDE, 0xDE, 0xDE, 0xC0, 0x78, 0x00 },
  { 0x7E, 0x81, 0xA5, 0x81, 0xBD, 0x99, 0x81, 0x7E },
  { 0x7E, 0xFF, 0xDB, 0xFF, 0xC3, 0xE7, 0xFF, 0x7E },
  { 0x6C, 0xFE, 0xFE, 0xFE, 0x7C, 0x38, 0x10, 0x00 },
  { 0x10, 0x38, 0x7C, 0xFE, 0x7C, 0x38, 0x10, 0x00 },
  { 0x38, 0x7C, 0x38, 0xFE, 0xFE, 0xD6, 0x10, 0x38 },
  { 0x10, 0x38, 0x7C, 0xFE, 0xFE, 0x7C, 0x10, 0x38 },
  { 0x00, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x00 },
  { 0xFF, 0xFF, 0xE7, 0xC3, 0xC3, 0xE7, 0xFF, 0xFF },
  { 0x00, 0x3C, 0x66, 0x42, 0x42, 0x66, 0x3C, 0x00 },
  { 0xFF, 0xC3, 0x99, 0xBD, 0xBD, 0x99, 0xC3, 0xFF },
  { 0x0F, 0x07, 0x0F, 0x7D, 0xCC, 0xCC, 0xCC, 0x78 },
  { 0x3C, 0x66, 0x66, 0x66, 0x3C, 0x18, 0x7E, 0x18 },
  { 0x3F, 0x33, 0x3F, 0x30, 0x30, 0x70, 0xF0, 0xE0 },
  { 0x7F, 0x63, 0x7F, 0x63, 0x63, 0x67, 0xE6, 0xC0 },
  { 0x18, 0xDB, 0x3C, 0xE7, 0xE7, 0x3C, 0xDB, 0x18 },
  { 0x80, 0xE0, 0xF8, 0xFE, 0xF8, 0xE0, 0x80, 0x00 },
  { 0x02, 0x0E, 0x3E, 0xFE, 0x3E, 0x0E, 0x02, 0x00 },
  { 0x18, 0x3C, 0x7E, 0x18, 0x18, 0x7E, 0x3C, 0x18 },
  { 0x66, 0x66, 0x66, 0x66, 0x66, 0x00, 0x66, 0x00 },
  { 0x7F, 0xDB, 0xDB, 0x7B, 0x1B, 0x1B, 0x1B, 0x00 },
  { 0x3E, 0x61, 0x3C, 0x66, 0x66, 0x3C, 0x86, 0x7C },
  { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF },
  { 0x18, 0x3C, 0x7E, 0x18, 0x7E, 0x3C, 0x18, 0xFF },
  { 0x18, 0x3C, 0x7E, 0x18, 0x18, 0x18, 0x18, 0x00 },
  { 0x18, 0x18, 0x18, 0x18, 0x7E, 0x3C, 0x18, 0x00 },
  { 0x00, 0x18, 0x0C, 0xFE, 0x0C, 0x18, 0x00, 0x00 },
  { 0x00, 0x30, 0x60, 0xFE, 0x60, 0x30, 0x00, 0x00 },
  { 0x00, 0x00, 0xC0, 0xC0, 0xC0, 0xFE, 0x00, 0x00 },
  { 0x00, 0x24, 0x66, 0xFF, 0x66, 0x24, 0x00, 0x00 },
  { 0x00, 0x18, 0x3C, 0x7E, 0xFF, 0xFF, 0x00, 0x00 },
  { 0x00, 0xFF, 0xFF, 0x7E, 0x3C, 0x18, 0x00, 0x00 },
  { 0 },
  { 0x18, 0x3C, 0x3C, 0x18, 0x18, 0x00, 0x18, 0x00 },
  { 0x66, 0x66, 0x24, 0x00, 0x00, 0x00, 0x00, 0x00 },
  { 0x6C, 0x6C, 0xFE, 0x6C, 0xFE, 0x6C, 0x6C, 0x00 },
  { 0x18, 0x3E, 0x60, 0x3C, 0x06, 0x7C, 0x18, 0x00 },
  { 0x00, 0xC6, 0xCC, 0x18, 0x30, 0x66, 0xC6, 0x00 },
  { 0x38, 0x6C, 0x38, 0x76, 0xDC, 0xCC, 0x76, 0x00 },
  { 0x18, 0x18, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00 },
  { 0x0C, 0x18, 0x30, 0x30, 0x30, 0x18, 0x0C, 0x00 },
  { 0x30, 0x18, 0x0C, 0x0C, 0x0C, 0x18, 0x30, 0x00 },
  { 0x00, 0x66, 0x3C, 0xFF, 0x3C, 0x66, 0x00, 0x00 },
  { 0x00, 0x18, 0x18, 0x7E, 0x18, 0x18, 0x00, 0x00 },
  { 0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x18, 0x30 },
  { 0x00, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x00, 0x00 },
  { 0x00, 0x00, 0x00, 0x00, 0x00, 0x18, 0x18, 0x00 },
  { 0x06, 0x0C, 0x18, 0x30, 0x60, 0xC0, 0x80, 0x00 },
  { 0x38, 0x6C, 0xC6, 0xD6, 0xC6, 0x6C, 0x38, 0x00 },
  { 0x18, 0x38, 0x18, 0x18, 0x18, 0x18, 0x7E, 0x00 },
  { 0x7C, 0xC6, 0x06, 0x1C, 0x30, 0x66, 0xFE, 0x00 },
  { 0x7C, 0xC6, 0x06, 0x3C, 0x06, 0xC6, 0x7C, 0x00 },
  { 0x1C, 0x3C, 0x6C, 0xCC, 0xFE, 0x0C, 0x1E, 0x00 },
  { 0xFE, 0xC0, 0xC0, 0xFC, 0x06, 0xC6, 0x7C, 0x00 },
  { 0x38, 0x60, 0xC0, 0xFC, 0xC6, 0xC6, 0x7C, 0x00 },
  { 0xFE, 0xC6, 0x0C, 0x18, 0x30, 0x30, 0x30, 0x00 },
  { 0x7C, 0xC6, 0xC6, 0x7C, 0xC6, 0xC6, 0x7C, 0x00 },
  { 0x7C, 0xC6, 0xC6, 0x7E, 0x06, 0x0C, 0x78, 0x00 },
  { 0x00, 0x18, 0x18, 0x00, 0x00, 0x18, 0x18, 0x00 },
  { 0x00, 0x18, 0x18, 0x00, 0x00, 0x18, 0x18, 0x30 },
  { 0x06, 0x0C, 0x18, 0x30, 0x18, 0x0C, 0x06, 0x00 },
  { 0x00, 0x00, 0x7E, 0x00, 0x00, 0x7E, 0x00, 0x00 },
  { 0x60, 0x30, 0x18, 0x0C, 0x18, 0x30, 0x60, 0x00 },
  { 0x7C, 0xC6, 0x0C, 0x18, 0x18, 0x00, 0x18, 0x00 },
  { 0x7C, 0xC6, 0xDE, 0xDE, 0xDE, 0xC0, 0x78, 0x00 },
  { 0x38, 0x6C, 0xC6, 0xFE, 0xC6, 0xC6, 0xC6, 0x00 },
  { 0xFC, 0x66, 0x66, 0x7C, 0x66, 0x66, 0xFC, 0x00 },
  { 0x3C, 0x66, 0xC0, 0xC0, 0xC0, 0x66, 0x3C, 0x00 },
  { 0xF8, 0x6C, 0x66, 0x66, 0x66, 0x6C, 0xF8, 0x00 },
  { 0xFE, 0x62, 0x68, 0x78, 0x68, 0x62, 0xFE, 0x00 },
  { 0xFE, 0x62, 0x68, 0x78, 0x68, 0x60, 0xF0, 0x00 },
  { 0x3C, 0x66, 0xC0, 0xC0, 0xCE, 0x66, 0x3A, 0x00 },
  { 0xC6, 0xC6, 0xC6, 0xFE, 0xC6, 0xC6, 0xC6, 0x00 },
  { 0x3C, 0x18, 0x18, 0x18, 0x18, 0x18, 0x3C, 0x00 },
  { 0x1E, 0x0C, 0x0C, 0x0C, 0xCC, 0xCC, 0x78, 0x00 },
  { 0xE6, 0x66, 0x6C, 0x78, 0x6C, 0x66, 0xE6, 0x00 },
  { 0xF0, 0x60, 0x60, 0x60, 0x62, 0x66, 0xFE, 0x00 },
  { 0xC6, 0xEE, 0xFE, 0xFE, 0xD6, 0xC6, 0xC6, 0x00 },
  { 0xC6, 0xE6, 0xF6, 0xDE, 0xCE, 0xC6, 0xC6, 0x00 },
  { 0x7C, 0xC6, 0xC6, 0xC6, 0xC6, 0xC6, 0x7C, 0x00 },
  { 0xFC, 0x66, 0x66, 0x7C, 0x60, 0x60, 0xF0, 0x00 },
  { 0x7C, 0xC6, 0xC6, 0xC6, 0xC6, 0xCE, 0x7C, 0x0E },
  { 0xFC, 0x66, 0x66, 0x7C, 0x6C, 0x66, 0xE6, 0x00 },
  { 0x3C, 0x66, 0x30, 0x18, 0x0C, 0x66, 0x3C, 0x00 },
  { 0x7E, 0x7E, 0x5A, 0x18, 0x18, 0x18, 0x3C, 0x00 },
  { 0xC6, 0xC6, 0xC6, 0xC6, 0xC6, 0xC6, 0x7C, 0x00 },
  { 0xC6, 0xC6, 0xC6, 0xC6, 0xC6, 0x6C, 0x38, 0x00 },
  { 0xC6, 0xC6, 0xC6, 0xD6, 0xD6, 0xFE, 0x6C, 0x00 },
  { 0xC6, 0xC6, 0x6C, 0x38, 0x6C, 0xC6, 0xC6, 0x00 },
  { 0x66, 0x66, 0x66, 0x3C, 0x18, 0x18, 0x3C, 0x00 },
  { 0xFE, 0xC6, 0x8C, 0x18, 0x32, 0x66, 0xFE, 0x00 },
  { 0x3C, 0x30, 0x30, 0x30, 0x30, 0x30, 0x3C, 0x00 },
  { 0xC0, 0x60, 0x30, 0x18, 0x0C, 0x06, 0x02, 0x00 },
  { 0x3C, 0x0C, 0x0C, 0x0C, 0x0C, 0x0C, 0x3C, 0x00 },
  { 0x10, 0x38, 0x6C, 0xC6, 0x00, 0x00, 0x00, 0x00 },
  { 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xFF },
  { 0x30, 0x18, 0x0C, 0x00, 0x00, 0x00, 0x00, 0x00 },
  { 0x00, 0x00, 0x78, 0x0C, 0x7C, 0xCC, 0x76, 0x00 },
  { 0xE0, 0x60, 0x7C, 0x66, 0x66, 0x66, 0xDC, 0x00 },
  { 0x00, 0x00, 0x7C, 0xC6, 0xC0, 0xC6, 0x7C, 0x00 },
  { 0x1C, 0x0C, 0x7C, 0xCC, 0xCC, 0xCC, 0x76, 0x00 },
  { 0x00, 0x00, 0x7C, 0xC6, 0xFE, 0xC0, 0x7C, 0x00 },
  { 0x3C, 0x66, 0x60, 0xF8, 0x60, 0x60, 0xF0, 0x00 },
  { 0x00, 0x00, 0x76, 0xCC, 0xCC, 0x7C, 0x0C, 0xF8 },
  { 0xE0, 0x60, 0x6C, 0x76, 0x66, 0x66, 0xE6, 0x00 },
  { 0x18, 0x00, 0x38, 0x18, 0x18, 0x18, 0x3C, 0x00 },
  { 0x06, 0x00, 0x06, 0x06, 0x06, 0x66, 0x66, 0x3C },
  { 0xE0, 0x60, 0x66, 0x6C, 0x78, 0x6C, 0xE6, 0x00 },
  { 0x38, 0x18, 0x18, 0x18, 0x18, 0x18, 0x3C, 0x00 },
  { 0x00, 0x00, 0xEC, 0xFE, 0xD6, 0xD6, 0xD6, 0x00 },
  { 0x00, 0x00, 0xDC, 0x66, 0x66, 0x66, 0x66, 0x00 },
  { 0x00, 0x00, 0x7C, 0xC6, 0xC6, 0xC6, 0x7C, 0x00 },
  { 0x00, 0x00, 0xDC, 0x66, 0x66, 0x7C, 0x60, 0xF0 },
  { 0x00, 0x00, 0x76, 0xCC, 0xCC, 0x7C, 0x0C, 0x1E },
  { 0x00, 0x00, 0xDC, 0x76, 0x60, 0x60, 0xF0, 0x00 },
  { 0x00, 0x00, 0x7E, 0xC0, 0x7C, 0x06, 0xFC, 0x00 },
  { 0x30, 0x30, 0xFC, 0x30, 0x30, 0x36, 0x1C, 0x00 },
  { 0x00, 0x00, 0xCC, 0xCC, 0xCC, 0xCC, 0x76, 0x00 },
  { 0x00, 0x00, 0xC6, 0xC6, 0xC6, 0x6C, 0x38, 0x00 },
  { 0x00, 0x00, 0xC6, 0xD6, 0xD6, 0xFE, 0x6C, 0x00 },
  { 0x00, 0x00, 0xC6, 0x6C, 0x38, 0x6C, 0xC6, 0x00 },
  { 0x00, 0x00, 0xC6, 0xC6, 0xC6, 0x7E, 0x06, 0xFC },
  { 0x00, 0x00, 0x7E, 0x4C, 0x18, 0x32, 0x7E, 0x00 },
  { 0x0E, 0x18, 0x18, 0x70, 0x18, 0x18, 0x0E, 0x00 },
  { 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x00 },
  { 0x70, 0x18, 0x18, 0x0E, 0x18, 0x18, 0x70, 0x00 },
  { 0x76, 0xDC, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 },
  { 0x00, 0x10, 0x38, 0x6C, 0xC6, 0xC6, 0xFE, 0x00 },
  { 0x7C, 0xC6, 0xC0, 0xC0, 0xC6, 0x7C, 0x0C, 0x78 },
  { 0xCC, 0x00, 0xCC, 0xCC, 0xCC, 0xCC, 0x76, 0x00 },
  { 0x0C, 0x18, 0x7C, 0xC6, 0xFE, 0xC0, 0x7C, 0x00 },
  { 0x7C, 0x82, 0x78, 0x0C, 0x7C, 0xCC, 0x76, 0x00 },
  { 0xC6, 0x00, 0x78, 0x0C, 0x7C, 0xCC, 0x76, 0x00 },
  { 0x30, 0x18, 0x78, 0x0C, 0x7C, 0xCC, 0x76, 0x00 },
  { 0x30, 0x30, 0x78, 0x0C, 0x7C, 0xCC, 0x76, 0x00 },
  { 0x00, 0x00, 0x7E, 0xC0, 0xC0, 0x7E, 0x0C, 0x38 },
  { 0x7C, 0x82, 0x7C, 0xC6, 0xFE, 0xC0, 0x7C, 0x00 },
  { 0xC6, 0x00, 0x7C, 0xC6, 0xFE, 0xC0, 0x7C, 0x00 },
  { 0x30, 0x18, 0x7C, 0xC6, 0xFE, 0xC0, 0x7C, 0x00 },
  { 0x66, 0x00, 0x38, 0x18, 0x18, 0x18, 0x3C, 0x00 },
  { 0x7C, 0x82, 0x38, 0x18, 0x18, 0x18, 0x3C, 0x00 },
  { 0x30, 0x18, 0x00, 0x38, 0x18, 0x18, 0x3C, 0x00 },
  { 0xC6, 0x38, 0x6C, 0xC6, 0xFE, 0xC6, 0xC6, 0x00 },
  { 0x38, 0x6C, 0x7C, 0xC6, 0xFE, 0xC6, 0xC6, 0x00 },
  { 0x18, 0x30, 0xFE, 0xC0, 0xF8, 0xC0, 0xFE, 0x00 },
  { 0x00, 0x00, 0x7E, 0x18, 0x7E, 0xD8, 0x7E, 0x00 },
  { 0x3E, 0x6C, 0xCC, 0xFE, 0xCC, 0xCC, 0xCE, 0x00 },
  { 0x7C, 0x82, 0x7C, 0xC6, 0xC6, 0xC6, 0x7C, 0x00 },
  { 0xC6, 0x00, 0x7C, 0xC6, 0xC6, 0xC6, 0x7C, 0x00 },
  { 0x30, 0x18, 0x7C, 0xC6, 0xC6, 0xC6, 0x7C, 0x00 },
  { 0x78, 0x84, 0x00, 0xCC, 0xCC, 0xCC, 0x76, 0x00 },
  { 0x60, 0x30, 0xCC, 0xCC, 0xCC, 0xCC, 0x76, 0x00 },
  { 0xC6, 0x00, 0xC6, 0xC6, 0xC6, 0x7E, 0x06, 0xFC },
  { 0xC6, 0x38, 0x6C, 0xC6, 0xC6, 0x6C, 0x38, 0x00 },
  { 0xC6, 0x00, 0xC6, 0xC6, 0xC6, 0xC6, 0x7C, 0x00 },
  { 0x18, 0x18, 0x7E, 0xC0, 0xC0, 0x7E, 0x18, 0x18 },
  { 0x38, 0x6C, 0x64, 0xF0, 0x60, 0x66, 0xFC, 0x00 },
  { 0x66, 0x66, 0x3C, 0x7E, 0x18, 0x7E, 0x18, 0x18 },
  { 0xF8, 0xCC, 0xCC, 0xFA, 0xC6, 0xCF, 0xC6, 0xC7 },
  { 0x0E, 0x1B, 0x18, 0x3C, 0x18, 0xD8, 0x70, 0x00 },
  { 0x18, 0x30, 0x78, 0x0C, 0x7C, 0xCC, 0x76, 0x00 },
  { 0x18, 0x30, 0x00, 0x38, 0x18, 0x18, 0x3C, 0x00 },
  { 0x0C, 0x18, 0x7C, 0xC6, 0xC6, 0xC6, 0x7C, 0x00 },
  { 0x18, 0x30, 0xCC, 0xCC, 0xCC, 0xCC, 0x76, 0x00 },
  { 0x76, 0xDC, 0x00, 0xDC, 0x66, 0x66, 0x66, 0x00 },
  { 0x76, 0xDC, 0x00, 0xE6, 0xF6, 0xDE, 0xCE, 0x00 },
  { 0x3C, 0x6C, 0x6C, 0x3E, 0x00, 0x7E, 0x00, 0x00 },
  { 0x38, 0x6C, 0x6C, 0x38, 0x00, 0x7C, 0x00, 0x00 },
  { 0x18, 0x00, 0x18, 0x18, 0x30, 0x63, 0x3E, 0x00 },
  { 0x00, 0x00, 0x00, 0xFE, 0xC0, 0xC0, 0x00, 0x00 },
  { 0x00, 0x00, 0x00, 0xFE, 0x06, 0x06, 0x00, 0x00 },
  { 0x63, 0xE6, 0x6C, 0x7E, 0x33, 0x66, 0xCC, 0x0F },
  { 0x63, 0xE6, 0x6C, 0x7A, 0x36, 0x6A, 0xDF, 0x06 },
  { 0x18, 0x00, 0x18, 0x18, 0x3C, 0x3C, 0x18, 0x00 },
  { 0x00, 0x33, 0x66, 0xCC, 0x66, 0x33, 0x00, 0x00 },
  { 0x00, 0xCC, 0x66, 0x33, 0x66, 0xCC, 0x00, 0x00 },
  { 0x22, 0x88, 0x22, 0x88, 0x22, 0x88, 0x22, 0x88 },
  { 0x55, 0xAA, 0x55, 0xAA, 0x55, 0xAA, 0x55, 0xAA },
  { 0x77, 0xDD, 0x77, 0xDD, 0x77, 0xDD, 0x77, 0xDD },
  { 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18, 0x18 },
  { 0x18, 0x18, 0x18, 0x18, 0xF8, 0x18, 0x18, 0x18 },
  { 0x18, 0x18, 0xF8, 0x18, 0xF8, 0x18, 0x18, 0x18 },
  { 0x36, 0x36, 0x36, 0x36, 0xF6, 0x36, 0x36, 0x36 },
  { 0x00, 0x00, 0x00, 0x00, 0xFE, 0x36, 0x36, 0x36 },
  { 0x00, 0x00, 0xF8, 0x18, 0xF8, 0x18, 0x18, 0x18 },
  { 0x36, 0x36, 0xF6, 0x06, 0xF6, 0x36, 0x36, 0x36 },
  { 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36, 0x36 },
  { 0x00, 0x00, 0xFE, 0x06, 0xF6, 0x36, 0x36, 0x36 },
  { 0x36, 0x36, 0xF6, 0x06, 0xFE, 0x00, 0x00, 0x00 },
  { 0x36, 0x36, 0x36, 0x36, 0xFE, 0x00, 0x00, 0x00 },
  { 0x18, 0x18, 0xF8, 0x18, 0xF8, 0x00, 0x00, 0x00 },
  { 0x00, 0x00, 0x00, 0x00, 0xF8, 0x18, 0x18, 0x18 },
  { 0x18, 0x18, 0x18, 0x18, 0x1F, 0x00, 0x00, 0x00 },
  { 0x18, 0x18, 0x18, 0x18, 0xFF, 0x00, 0x00, 0x00 },
  { 0x00, 0x00, 0x00, 0x00, 0xFF, 0x18, 0x18, 0x18 },
  { 0x18, 0x18, 0x18, 0x18, 0x1F, 0x18, 0x18, 0x18 },
  { 0x00, 0x00, 0x00, 0x00, 0xFF, 0x00, 0x00, 0x00 },
  { 0x18, 0x18, 0x18, 0x18, 0xFF, 0x18, 0x18, 0x18 },
  { 0x18, 0x18, 0x1F, 0x18, 0x1F, 0x18, 0x18, 0x18 },
  { 0x36, 0x36, 0x36, 0x36, 0x37, 0x36, 0x36, 0x36 },
  { 0x36, 0x36, 0x37, 0x30, 0x3F, 0x00, 0x00, 0x00 },
  { 0x00, 0x00, 0x3F, 0x30, 0x37, 0x36, 0x36, 0x36 },
  { 0x36, 0x36, 0xF7, 0x00, 0xFF, 0x00, 0x00, 0x00 },
  { 0x00, 0x00, 0xFF, 0x00, 0xF7, 0x36, 0x36, 0x36 },
  { 0x36, 0x36, 0x37, 0x30, 0x37, 0x36, 0x36, 0x36 },
  { 0x00, 0x00, 0xFF, 0x00, 0xFF, 0x00, 0x00, 0x00 },
  { 0x36, 0x36, 0xF7, 0x00, 0xF7, 0x36, 0x36, 0x36 },
  { 0x18, 0x18, 0xFF, 0x00, 0xFF, 0x00, 0x00, 0x00 },
  { 0x36, 0x36, 0x36, 0x36, 0xFF, 0x00, 0x00, 0x00 },
  { 0x00, 0x00, 0xFF, 0x00, 0xFF, 0x18, 0x18, 0x18 },
  { 0x00, 0x00, 0x00, 0x00, 0xFF, 0x36, 0x36, 0x36 },
  { 0x36, 0x36, 0x36, 0x36, 0x3F, 0x00, 0x00, 0x00 },
  { 0x18, 0x18, 0x1F, 0x18, 0x1F, 0x00, 0x00, 0x00 },
  { 0x00, 0x00, 0x1F, 0x18, 0x1F, 0x18, 0x18, 0x18 },
  { 0x00, 0x00, 0x00, 0x00, 0x3F, 0x36, 0x36, 0x36 },
  { 0x36, 0x36, 0x36, 0x36, 0xFF, 0x36, 0x36, 0x36 },
  { 0x18, 0x18, 0xFF, 0x18, 0xFF, 0x18, 0x18, 0x18 },
  { 0x18, 0x18, 0x18, 0x18, 0xF8, 0x00, 0x00, 0x00 },
  { 0x00, 0x00, 0x00, 0x00, 0x1F, 0x18, 0x18, 0x18 },
  { 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF, 0xFF },
  { 0x00, 0x00, 0x00, 0x00, 0xFF, 0xFF, 0xFF, 0xFF },
  { 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0, 0xF0 },
  { 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F, 0x0F },
  { 0xFF, 0xFF, 0xFF, 0xFF, 0x00, 0x00, 0x00, 0x00 },
  { 0x00, 0x00, 0x76, 0xDC, 0xC8, 0xDC, 0x76, 0x00 },
  { 0x78, 0xCC, 0xCC, 0xD8, 0xCC, 0xC6, 0xCC, 0x00 },
  { 0xFE, 0xC6, 0xC0, 0xC0, 0xC0, 0xC0, 0xC0, 0x00 },
  { 0x00, 0x00, 0xFE, 0x6C, 0x6C, 0x6C, 0x6C, 0x00 },
  { 0xFE, 0xC6, 0x60, 0x30, 0x60, 0xC6, 0xFE, 0x00 },
  { 0x00, 0x00, 0x7E, 0xD8, 0xD8, 0xD8, 0x70, 0x00 },
  { 0x00, 0x00, 0x66, 0x66, 0x66, 0x66, 0x7C, 0xC0 },
  { 0x00, 0x00, 0x7E, 0xD8, 0x18, 0x18, 0x1C, 0x00 },
  { 0x7E, 0x18, 0x3C, 0x66, 0x66, 0x3C, 0x18, 0x7E },
  { 0x38, 0x6C, 0xC6, 0xFE, 0xC6, 0x6C, 0x38, 0x00 },
  { 0x38, 0x6C, 0xC6, 0xC6, 0x6C, 0x6C, 0xEE, 0x00 },
  { 0x0E, 0x18, 0x0C, 0x3E, 0x66, 0x66, 0x3C, 0x00 },
  { 0x00, 0x00, 0x7E, 0xDB, 0xDB, 0x7E, 0x00, 0x00 },
  { 0x06, 0x0C, 0x7E, 0xDB, 0xDB, 0x7E, 0x60, 0xC0 },
  { 0x1E, 0x30, 0x60, 0x7E, 0x60, 0x30, 0x1E, 0x00 },
  { 0x00, 0x7C, 0xC6, 0xC6, 0xC6, 0xC6, 0xC6, 0x00 },
  { 0x00, 0xFE, 0x00, 0xFE, 0x00, 0xFE, 0x00, 0x00 },
  { 0x18, 0x18, 0x7E, 0x18, 0x18, 0x00, 0x7E, 0x00 },
  { 0x30, 0x18, 0x0C, 0x18, 0x30, 0x00, 0x7E, 0x00 },
  { 0x0C, 0x18, 0x30, 0x18, 0x0C, 0x00, 0x7E, 0x00 },
  { 0x0E, 0x1B, 0x1B, 0x18, 0x18, 0x18, 0x18, 0x18 },
  { 0x18, 0x18, 0x18, 0x18, 0x18, 0xD8, 0xD8, 0x70 },
  { 0x00, 0x18, 0x00, 0x7E, 0x00, 0x18, 0x00, 0x00 },
  { 0x00, 0x76, 0xDC, 0x00, 0x76, 0xDC, 0x00, 0x00 },
  { 0x38, 0x6C, 0x6C, 0x38, 0x00, 0x00, 0x00, 0x00 },
  { 0x00, 0x00, 0x18, 0x3C, 0x3C, 0x18, 0x00, 0x00 },
  { 0x00, 0x00, 0x00, 0x18, 0x00, 0x00, 0x00, 0x00 },
  { 0x0F, 0x0C, 0x0C, 0x0C, 0xEC, 0x6C, 0x3C, 0x1C },
  { 0x6C, 0x36, 0x36, 0x36, 0x36, 0x00, 0x00, 0x00 },
  { 0x78, 0x0C, 0x18, 0x30, 0x7C, 0x00, 0x00, 0x00 },
  { 0x00, 0x00, 0x3C, 0x3C, 0x3C, 0x3C, 0x00, 0x00 },
  { 0 }
};

